Skip to main content
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
creation
Token - Creation
curl --request GET \
  --url https://api.dex.chainstream.io/v2/token/{chain}/{tokenAddress}/creation \
  --header 'Authorization: Bearer <token>'
{
  "blockHeight": 123456789,
  "blockSlot": 123456789,
  "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
  "transactionSignature": "3A7B9C1D2E4F6G8",
  "type": "create",
  "blockHash": "5J7X9K2M4N6P8Q",
  "blockTimestamp": 1754055151000
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc
tokenAddress
string
required

An address of a token

Response

200 - application/json

Get Creation

Token creation info — mirrors TS TokenCreationDTO

blockHeight
integer<int64>
required
Example:

123456789

blockSlot
integer<int64>
required
Example:

123456789

tokenAddress
string
required
Example:

"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"

transactionSignature
string
required
Example:

"3A7B9C1D2E4F6G8"

type
string
required
Example:

"create"

blockHash
string | null
Example:

"5J7X9K2M4N6P8Q"

blockTimestamp
integer<int64> | null
Example:

1754055151000